OGRE: Ogre::AtomicScalar< T > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AtomicScalar< T > Class Template Reference
Core » General

`#include <OgreAtomicScalar.h>`

## Public Member Functions
| AtomicScalar ()
| AtomicScalar (const AtomicScalar< T > &cousin)
| AtomicScalar (const T &initial)
bool | cas (const T &old, const T &nu)
T | get (void) const
T | operator++ (int)
T | operator++ (void)
T | operator+= (const T &add)
T | operator-- (int)
T | operator-- (void)
T | operator-= (const T &sub)
void | operator= (const AtomicScalar< T > &cousin)
void | set (const T &v)

## Constructor & Destructor Documentation

## ◆ AtomicScalar() [1/3]

template<class T >

Ogre::AtomicScalar< T >::AtomicScalar | ( | const T & | initial | ) |
| inline

## ◆ AtomicScalar() [2/3]

template<class T >

Ogre::AtomicScalar< T >::AtomicScalar | ( | const AtomicScalar< T > & | cousin | ) |
| inline

## ◆ AtomicScalar() [3/3]

template<class T >

Ogre::AtomicScalar< T >::AtomicScalar | ( |  | ) |
| inline

## Member Function Documentation

## ◆ cas()

template<class T >

bool Ogre::AtomicScalar< T >::cas | ( | const T & | old,
|  | const T & | nu
| ) |  |
| inline

## ◆ get()

template<class T >

T Ogre::AtomicScalar< T >::get | ( | void |  | ) | const
| inline

Referenced by Ogre::Resource::getLoadingState(), Ogre::Resource::isLoaded(), Ogre::Resource::isLoading(), Ogre::Resource::isPrepared(), Ogre::SharedPtr< Skeleton >::unique(), and Ogre::SharedPtr< Skeleton >::use_count().

## ◆ operator++() [1/2]

template<class T >

T Ogre::AtomicScalar< T >::operator++ | ( | int |  | ) |
| inline

## ◆ operator++() [2/2]

template<class T >

T Ogre::AtomicScalar< T >::operator++ | ( | void |  | ) |
| inline

## ◆ operator+=()

template<class T >

T Ogre::AtomicScalar< T >::operator+= | ( | const T & | add | ) |
| inline

## ◆ operator--() [1/2]

template<class T >

T Ogre::AtomicScalar< T >::operator-- | ( | int |  | ) |
| inline

## ◆ operator--() [2/2]

template<class T >

T Ogre::AtomicScalar< T >::operator-- | ( | void |  | ) |
| inline

## ◆ operator-=()

template<class T >

T Ogre::AtomicScalar< T >::operator-= | ( | const T & | sub | ) |
| inline

## ◆ operator=()

template<class T >

void Ogre::AtomicScalar< T >::operator= | ( | const AtomicScalar< T > & | cousin | ) |
| inline

## ◆ set()

template<class T >

void Ogre::AtomicScalar< T >::set | ( | const T & | v | ) |
| inline

Referenced by Ogre::Resource::setToLoaded().

The documentation for this class was generated from the following file:

- OgreAtomicScalar.h